package new_mobile_api_controllers

import "github.com/astaxie/beego"

// 平板端路由，以 /m/api 为前缀
func NewMobileAPIControllersRegisterRouters() {

	beego.Router("m/api/patient/getillnesslist", &NewDialysisApiController{}, "Get:GetIllnesslist")
	beego.Router("/m/api/patients/generatedialysisnotwo", &NewDialysisApiController{}, "Get:GetGeneratedialysisno")
	beego.Router("/m/api/patient/getbloodDialysisPatient", &NewDialysisApiController{}, "Get:GetPatient")

	beego.Router("/m/api/islogin", &NewLoginApiController{}, "Get:GetLogin")

	//验证码相关
	beego.Router("/m/api/code", &NewLoginApiController{}, "Get:GetCodeInit")
	beego.Router("/m/api/getcode", &NewLoginApiController{}, "Get:GetCode")

	//免密码登录
	beego.Router("/m/api/login/cs", &NewLoginApiController{}, "post:LoginByCs")

	//忘记密码
	beego.Router("/m/api/password/commit", &ForgetPwdController{}, "post:ModifyPassword")

	//注册
	beego.Router("/m/api/register/commit", &MobileRegistController{}, "post:RegistSubmit")
	beego.Router("/m/api/register/setname", &MobileRegistController{}, "post:ModifyName")

	beego.Router("/m/api/register/login", &MobileRegistController{}, "post:Login")

	beego.Router("/m/api/org/create", &MobileRegistController{}, "post:CreateOrg")

	beego.Router("/m/api/home", &HomeController{}, "get:GetHomeData")
	beego.Router("/m/api/changeorg", &HomeController{}, "post:ChangeOrg")
	beego.Router("/m/api/createOrg", &HomeController{}, "post:CreateOrg")

	beego.Router("/m/api/modifypsw", &HomeController{}, "post:ModifyPsw")

	beego.Router("/m/api/staff", &NewRoleApiController{}, "get:GetAllOrgUser")

	beego.Router("/m/api/staff/edit", &NewRoleApiController{}, "post:EditAdmin")
	beego.Router("/m/api/staff/init", &NewRoleApiController{}, "get:GetEditAdminInitData")
	beego.Router("/m/api/staff/get", &NewRoleApiController{}, "get:GetAdminUserInfo")
	beego.Router("/m/api/staff/stop", &NewRoleApiController{}, "post:StopAdminUser")
	beego.Router("/m/api/staff/create", &NewRoleApiController{}, "post:CreateAdminUser")

	beego.Router("/m/api/role/addStaff", &NewRoleApiController{}, "post:AddRoleStaff")

	beego.Router("/m/api/role", &NewRoleApiController{}, "get:GetAllOrgRole")
	beego.Router("/m/api/role/edit", &NewRoleApiController{}, "post:EditRole")
	beego.Router("/m/api/role/get", &NewRoleApiController{}, "get:GetOrgRoleInfo")
	beego.Router("/m/api/role/del", &NewRoleApiController{}, "post:DeleteOrgRole")
	beego.Router("/m/api/role/create", &NewRoleApiController{}, "post:CreateRole")

	beego.Router("/m/api/permission/post", &NewRoleApiController{}, "post:EditRolePermission")
	beego.Router("/m/api/functionpermission/post", &NewRoleApiController{}, "post:EditFunctionPermission")

	beego.Router("/m/api/permission", &NewRoleApiController{}, "get:GetAllPermission")
	beego.Router("/m/api/rolepurview", &NewRoleApiController{}, "get:GetRolePurviews")
	beego.Router("/m/api/role/funtionpurview", &NewRoleApiController{}, "get:GetFuntionPurviews")

	beego.Router("/m/api/func_role/get", &NewRoleApiController{}, "get:GetFuncRolePurviews")

	beego.Router("/m/api/permission/get", &HomeController{}, "get:GetFuncPermission")

	beego.Router("/m/api/patient/getbloodpatientinfo", &NewDialysisApiController{}, "Get:GetBloodPatientInfo")
	beego.Router("/m/api/patient/getslowpatientinfo", &NewDialysisApiController{}, "Get:GetSlowPatientInfo")
	beego.Router("/m/api/patient/getmemberpatientinfo", &NewDialysisApiController{}, "Get:GetMemberpatientInfo")
	beego.Router("/m/api/patient/savepatient", &NewDialysisApiController{}, "Post:SavePatient")
	beego.Router("/m/api/patient/getpatientdetail", &NewDialysisApiController{}, "Get:GetPatientDetail")
	beego.Router("/m/api/patient/getdoctoradvices", &NewDialysisApiController{}, "Get:GetDoctorAdvices")
	beego.Router("/m/api/paitent/getdryweight", &NewDialysisApiController{}, "Get:GetDryWeight")
	beego.Router("m/api/patient/getbloodDialysisPatientwo", &NewDialysisApiController{}, "Get:GetAllPatient")
	beego.Router("m/api/patient/tosearch", &NewDialysisApiController{}, "Get:ToSearch")
	beego.Router("/m/api/patient/getcoursemanagement", &NewDialysisApiController{}, "Get:GetCourseManagement")
	beego.Router("/m/api/patient/delelecousemanage", &NewDialysisApiController{}, "Delete:DeleteCourseManagement")
	beego.Router("/m/api/patient/getcousemanagementdetail", &NewDialysisApiController{}, "Get:GetCouseManagentDetail")
	beego.Router("/m/api/patient/getallblooddialysispatient", &NewDialysisApiController{}, "Get:GetAllBloodDialysisPatient")
	beego.Router("/m/api/patient/getallslowpatient", &NewDialysisApiController{}, "Get:GetAllSlowPatent")
	beego.Router("/m/api/patient/getallmemberpatient", &NewDialysisApiController{}, "Get:GetAllMemberPatient")
	beego.Router("/m/api/patient/deletedryweight", &NewDialysisApiController{}, "Delete:DeleteDryWeight")
	beego.Router("/m/api/patient/getdryweightdetail", &NewDialysisApiController{}, "Get:GetDryWeightDetail")
	beego.Router("/m/api/patient/getlongdialysisrecord", &NewDialysisApiController{}, "Get:GetlongDialysisrecord")
	beego.Router("/m/api/patient/getrescuerecord", &NewDialysisApiController{}, "Get:GetRescuerecord")
	beego.Router("/m/api/patient/getscheduling", &NewDialysisApiController{}, "Get:GetScheduling")
	beego.Router("/m/api/patient/geteducation", &NewDialysisApiController{}, "Get:GetEducation")
	beego.Router("/m/api/patient/getschedulingdetail", &NewDialysisApiController{}, "Get:GetSchedulingDetail")
	beego.Router("/m/api/patient/deletescheduling", &NewDialysisApiController{}, "Delete:DeleteScheduling")
	beego.Router("/m/api/patient/geteducationdetail", &NewDialysisApiController{}, "Get:GetEducationDetail")
	beego.Router("/m/api/patient/deleteeductionone", &NewDialysisApiController{}, "Delete:DeleteEducation")
	beego.Router("/m/api/patient/getrescuerecorddetail", &NewDialysisApiController{}, "GET:GetRescueRecordDetail")
	beego.Router("/m/api/patient/deleterescuerecord", &NewDialysisApiController{}, "Delete:DeleteRescueRecord")
	beego.Router("/m/api/patient/tosearchepatient", &NewDialysisApiController{}, "Get:ToSearchePatient")
	beego.Router("/m/api/patient/searchallpatient", &NewDialysisApiController{}, "Get:SearchallPatient")
	beego.Router("/m/api/patient/searchallblood", &NewDialysisApiController{}, "Get:GetSearchallBlood")
	beego.Router("/m/api/patient/getslowsearchepatient", &NewDialysisApiController{}, "Get:GetSlowSearchePatient")
	beego.Router("/m/api/patient/getmembersearchpatient", &NewDialysisApiController{}, "Get:GetMemberSearchPatent")
	beego.Router("/m/api/patient/getlongdialysisdetail", &NewDialysisApiController{}, "Get:GetLongDialysisDetail")
	beego.Router("/m/api/patient/deletelongdialysis", &NewDialysisApiController{}, "Delete:DeleteLongDialysis")
	beego.Router("/m/api/patient/getdialysisrecord", &NewDialysisApiController{}, "Get:GetDialysisrecord")
	beego.Router("/m/api/patient/getdoctoradvicedetail", &NewDialysisApiController{}, "Get:GetDoctorAdviceDetail")
	beego.Router("/m/api/patient/deletemanagement", &NewDialysisApiController{}, "Delete:DeleteManagement")
	beego.Router("/m/api/patient/updatedpatient", &NewDialysisApiController{}, "Post:UpdatedPatient")
	beego.Router("/m/api/patient/getalldoctor", &NewDialysisApiController{}, "Get:GetAllDoctor")
	beego.Router("/m/api/patient/getallprojectname", &NewDialysisApiController{}, "Get:GetAllProjectName")
	beego.Router("/m/api/patient/getallinspection", &NewDialysisApiController{}, "Get:GetAllInspection")
	beego.Router("/m/api/patient/getinspection", &NewDialysisApiController{}, "Get:GetInspection")
	beego.Router("/m/api/patient/getmyinformation", &NewDialysisApiController{}, "Get:GetMyInformation")
	beego.Router("/m/api/patient/getmyinformationThree", &NewDialysisApiController{}, "Get:GetMyInformationThree")
	beego.Router("/m/api/patient/getpatientname", &NewDialysisApiController{}, "Get:GetPatientName")
	beego.Router("/m/api/patient/getinspectiondetail", &NewDialysisApiController{}, "Get:GetInspectionDetail")
	beego.Router("/m/api/patient/savefeed", &NewDialysisApiController{}, "Get:SaveFeed")
	beego.Router("/m/api/patient/deletechild", &NewDialysisApiController{}, "Delete:DeleteChild")
	beego.Router("/m/api/patient/deletePatient", &NewDialysisApiController{}, "Delete:DeletePatient")
	beego.Router("/m/api/patient/deleteinspection", &NewDialysisApiController{}, "Delete:DeleteInspection")
	beego.Router("/m/api/patient/deletechildinspection", &NewDialysisApiController{}, "Delete:DeleteChildInspection")
	beego.Router("/m/api/patient/savemessage", &NewDialysisApiController{}, "Get:SaveMessage")
	beego.Router("/m/api/patient/savesex", &NewDialysisApiController{}, "Get:SaveSex")
	beego.Router("/m/api/patient/savebirthday", &NewDialysisApiController{}, "Post:SaveBirthday")
	beego.Router("/m/api/patient/getorgname", &NewDialysisApiController{}, "Get:GetOrgName")
	beego.Router("/m/api/patient/getrolename", &NewDialysisApiController{}, "Get:GetRoleName")
	beego.Router("/m/api/patient/savepartition", &NewDialysisApiController{}, "Get:SavePartition")
	beego.Router("/m/api/patient/getallzone", &NewDialysisApiController{}, "Get:GetAllZone")
	beego.Router("/m/api/patient/deletezone", &NewDialysisApiController{}, "Delete:DeleteZone")
	beego.Router("/m/api/patient/savegroup", &NewDialysisApiController{}, "Get:SaveGroup")
	beego.Router("/m/api/patient/getallgroup", &NewDialysisApiController{}, "Get:GetAllGroup")
	beego.Router("/m/api/patient/deletegroup", &NewDialysisApiController{}, "Delete:DeleteGroup")
	beego.Router("m/api/patient/getallgroupone", &NewDialysisApiController{}, "Get:GetAllGroupOne")
	beego.Router("/m/api/patient/savebed", &NewDialysisApiController{}, "Get:SaveBed")
	beego.Router("/m/api/patient/getallnumber", &NewDialysisApiController{}, "Get:GetAllNumber")
	beego.Router("/m/api/patient/deletebed", &NewDialysisApiController{}, "Delete:DeleteBed")
	beego.Router("/m/api/patient/loginout", &NewDialysisApiController{}, "Get:LoginOut")
	beego.Router("/m/api/patient/getmemberpatient", &NewDialysisApiController{}, "Get:GetMemberPatient")
	beego.Router("/m/api/patient/getslowpatient", &NewDialysisApiController{}, "Get:GetSlowPatient")
	beego.Router("/m/api/patient/getbloodpatient", &NewDialysisApiController{}, "Get:GetBloodPatient")
	beego.Router("/m/api/patient/savename", &NewDialysisApiController{}, "Get:SaveName")
	beego.Router("/m/api/patient/getallorganization", &NewDialysisApiController{}, "Get:GetAllOrganization")
	beego.Router("/m/api/patient/getmyorganazition", &NewDialysisApiController{}, "Get:GetMyOrganazition")
	beego.Router("/m/api/org/getorginformation", &NewDialysisApiController{}, "Get:GetOrgInformation")
	beego.Router("/m/api/patient/getallorgtype", &NewDialysisApiController{}, "Get:GetAllOrgType")
	beego.Router("/m/api/patient/editorg", &NewDialysisApiController{}, "Get:EditOrg")
	beego.Router("/m/api/patient/getmyinforname", &NewDialysisApiController{}, "Get:GetMyInforName")
	beego.Router("/m/api/patient/getpartiondetail", &NewDialysisApiController{}, "Get:GetPartionDetail")
	beego.Router("/m/api/patient/updatepartition", &NewDialysisApiController{}, "Get:UpdatePartition")
	beego.Router("/m/api/patient/getgroupdetail", &NewDialysisApiController{}, "Get:GetGroupDetail")
	beego.Router("/m/api/patient/updategroup", &NewDialysisApiController{}, "Get:UpdateGroup")
	beego.Router("/m/api/patient/getbeddetail", &NewDialysisApiController{}, "Get:GetBedDetail")
	beego.Router("/m/api/patient/updatebed", &NewDialysisApiController{}, "Get:UpdatedBed")
	beego.Router("/m/api/patient/getmyorginformation", &NewDialysisApiController{}, "Get:GetMyOrgInformation")
	beego.Router("/m/api/patient/savenametwo", &NewDialysisApiController{}, "Get:SaveNameTwo")
	beego.Router("/m/api/patient/getcurrentorg", &NewDialysisApiController{}, "Get:GetCurrentOrg")
	beego.Router("/m/api/patient/getmyinformationfour", &NewDialysisApiController{}, "Get:GetMyInformationFour")
	beego.Router("/m/api/org/getMyMobile", &NewDialysisApiController{}, "Get:GetMyMobile")
	beego.Router("/m/api/patient/sumitform", &NewDialysisApiController{}, "Get:SumitForm")
	beego.Router("/m/api/patient/getroleposition", &NewDialysisApiController{}, "Get:GetRolePosition")
	beego.Router("/m/api/patient/getmobile", &NewDialysisApiController{}, "Get:GetMobile")
	beego.Router("/m/api/patient/getorgs", &NewDialysisApiController{}, "Get:GetOrgs")

}
